<?php

/**
 *
 * @copyright  2010-2011 frasq.org
 * @version    2
 * @link       http://www.frasq.org
 */

function thread_id($thread) {
	if (is_numeric($thread)) {
		$tabthread=db_prefix_table('thread');

		$sql="SELECT thread_id FROM $tabthread WHERE thread_id=$thread LIMIT 1";
	}
	else {
		$sqlname=db_sql_arg($thread, true);

		$tabthreadlocale=db_prefix_table('thread_locale');

		$sql="SELECT thread_id FROM $tabthreadlocale WHERE name=$sqlname LIMIT 1";
	}

	$r = db_query($sql);

	return $r ? $r[0]['thread_id'] : false;
}

function thread_node_id($thread_id, $node) {
	if (is_numeric($node)) {
		$tabthreadnode=db_prefix_table('thread_node');

		$sql="SELECT tn.node_id AS node_id FROM $tabthreadnode tn WHERE tn.thread_id=$thread_id AND tn.node_id=$node LIMIT 1";
	}
	else {
		$sqlname = db_sql_arg($node, true);

		$tabthreadnode=db_prefix_table('thread_node');
		$tabnodelocale=db_prefix_table('node_locale');

		$sql="SELECT tn.node_id AS node_id FROM $tabthreadnode tn JOIN $tabnodelocale nl ON nl.node_id=tn.node_id WHERE tn.thread_id=$thread_id AND nl.name=$sqlname LIMIT 1";
	}

	$r = db_query($sql);

	return $r ? $r[0]['node_id'] : false;
}

function thread_get($lang, $thread_id) {
	$sqllang=db_sql_arg($lang, false);

	$tabthread=db_prefix_table('thread');
	$tabthreadlocale=db_prefix_table('thread_locale');

	$sql="SELECT tloc.name AS thread_name, tloc.title AS thread_title, tloc.abstract AS thread_abstract, tloc.cloud AS thread_cloud, t.thread_type AS thread_type, UNIX_TIMESTAMP(t.created) AS thread_created, UNIX_TIMESTAMP(t.modified) AS thread_modified FROM $tabthread t JOIN $tabthreadlocale tloc ON tloc.thread_id=t.thread_id AND tloc.locale=$sqllang WHERE t.thread_id=$thread_id LIMIT 1";

	$r = db_query($sql);

	return $r ? $r[0] : false;
}

function thread_get_contents($lang, $thread_id) {
	$sqllang=db_sql_arg($lang, false);

	$tabthreadnode=db_prefix_table('thread_node');
	$tabnodelocale=db_prefix_table('node_locale');

	$sql="SELECT tn.node_id, tn.number AS node_number, nl.name AS node_name, nl.title AS node_title, nl.abstract AS node_abstract, nl.cloud AS node_cloud FROM $tabthreadnode tn LEFT JOIN $tabnodelocale nl ON nl.node_id=tn.node_id AND nl.locale=$sqllang WHERE tn.thread_id=$thread_id ORDER BY tn.number";

	$r = db_query($sql);

	return $r;
}

function thread_get_node($lang, $thread_id, $node_id) {
	$sqllang=db_sql_arg($lang, false);

	$tabthreadnode=db_prefix_table('thread_node');
	$tabnode=db_prefix_table('node');
	$tabnodelocale=db_prefix_table('node_locale');

	$sql="SELECT tn.number AS node_number, nl.name AS node_name, nl.title AS node_title, nl.abstract AS node_abstract, nl.cloud AS node_cloud FROM $tabthreadnode tn JOIN $tabnode n ON n.node_id=tn.node_id JOIN $tabnodelocale nl ON nl.node_id=tn.node_id AND nl.locale=$sqllang WHERE tn.thread_id=$thread_id AND tn.node_id=$node_id LIMIT 1";

	$r = db_query($sql);

	return $r ? $r[0] : false;
}

